summaryrefslogtreecommitdiff
path: root/test/config.sh
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2013-08-23 18:54:22 +0000
committerGerald Combs <gerald@wireshark.org>2013-08-23 18:54:22 +0000
commita8c728533d112dcbd39ee510c94c78ef4699ba72 (patch)
tree4b849f2961ece3ae2471c6a6db14e7b851973e7c /test/config.sh
parenta4a6af3c5a3245d26245c86cb001b5bc7b7e74b3 (diff)
downloadwireshark-a8c728533d112dcbd39ee510c94c78ef4699ba72.tar.gz
Add a test for rawshark.
svn path=/trunk/; revision=51494
Diffstat (limited to 'test/config.sh')
-rwxr-xr-xtest/config.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/test/config.sh b/test/config.sh
index d833503914..872bdbfe3b 100755
--- a/test/config.sh
+++ b/test/config.sh
@@ -32,6 +32,13 @@ else
WS_SYSTEM=`uname -s`
fi
+#
+#
+ENDIANNESS="little"
+echo -n I | od -to2 | awk '{ lastbit = substr($2,6,1); exit lastbit }'
+if [ $? -eq 0 ] ; then
+ ENDIANNESS="big"
+fi
# Path to the Wireshark binaries, only used for the settings below
WS_BIN_PATH=..
@@ -48,6 +55,7 @@ fi
# Tweak the following to your liking.
WIRESHARK=$WS_BIN_PATH/wireshark
TSHARK=$WS_BIN_PATH/tshark
+RAWSHARK=$WS_BIN_PATH/rawshark
CAPINFOS=$WS_BIN_PATH/capinfos
DUMPCAP=$WS_BIN_PATH/dumpcap